librelist archives

« back to archive

Problem con Image Magick

Problem con Image Magick

From:
Daniel Mulé
Date:
2011-03-17 @ 15:55
Hola lista,
Estoy teniendo un problema al querer usar ImageMagick, apenas lo
empece usar, no tuve ningun problema, pero nose porque, me empezo a
salir este mensage de error:

This installation of RMagick was configured with ImageMagick 6.6.8 but
ImageMagick 6.4.5 is in use.

Actualice el imageMagick al 6.6.8,  pero sigo teniendo el mismo
problema, alguna idea?

Estoy usando Rails 3 en ubuntu!

Saludos,
Daniel.

Re: [rubysur] Problem con Image Magick

From:
Luis Lavena
Date:
2011-03-17 @ 16:09
2011/3/17 Daniel Mulé <pola88@gmail.com>:
> Hola lista,
> Estoy teniendo un problema al querer usar ImageMagick, apenas lo empece
> usar, no tuve ningun problema, pero nose porque, me empezo a salir este
> mensage de error:
>
> This installation of RMagick was configured with ImageMagick 6.6.8 but
> ImageMagick 6.4.5 is in use.
>

Simple: tenes conflictos de versiones de ImageMagick y necesitas
instalar RMagick para esa version de ImageMagick.

desinstala RMagick, actualizá ImageMagick e instalá RMagick de nuevo.

-- 
Luis Lavena
AREA 17
-
Perfection in design is achieved not when there is nothing more to add,
but rather when there is nothing more to take away.
Antoine de Saint-Exupéry

Re: [rubysur] Problem con Image Magick

From:
Gaston Ramos
Date:
2011-03-17 @ 16:16
El Thu, 17 de Mar de 2011, a las 12:55:31PM -0300, Daniel Mulé dijo:
> Hola lista,
> Estoy teniendo un problema al querer usar ImageMagick, apenas lo
> empece usar, no tuve ningun problema, pero nose porque, me empezo a
> salir este mensage de error:
> 
> This installation of RMagick was configured with ImageMagick 6.6.8 but
> ImageMagick 6.4.5 is in use.
> 
> Actualice el imageMagick al 6.6.8,  pero sigo teniendo el mismo
> problema, alguna idea?

Tenés que recompilar la gema de Rmagick para que tome los cambios.

> 
> Estoy usando Rails 3 en ubuntu!
> 
> Saludos,
> Daniel.

-- 
"Computer science education cannot make anybody an expert programmer any more
than studying brushes and pigment can make somebody an expert painter."

(Eric Raymond)


+-------------------------------------+
Gastón Ramos
http://gastonramos.com.ar/
GNU/Linux Counter user #450312

Re: [rubysur] Problem con Image Magick

From:
Daniel Mulé
Date:
2011-03-18 @ 15:29
Obtengo lo siguiente:

rc  imagemagick
7:6.4.5.4.dfsg1-1ubuntu3.1                image manipulation programs

ii  libmagickcore-dev
7:6.4.5.4.dfsg1-1ubuntu3.1                low-level image manipulation
library - devel
ii  libmagickcore1
7:6.4.5.4.dfsg1-1ubuntu3.1                low-level image manipulation
library
ii  libmagickwand-dev
7:6.4.5.4.dfsg1-1ubuntu3.1                image manipulation library -
development fil
ii  libmagickwand1
7:6.4.5.4.dfsg1-1ubuntu3.1                image manipulation library

Gracias,
Daniel.

El Fri, 18 de Mar de 2011, a las 10:36:01AM -0300, Daniel Mulé dijo:
> Hice lo q me dijieron, pero sigo teniendo el mismo problema :S
>
> Osea, desinstale la gema y lo volvi a instalar, borre el GemFile.lock para
q
> me vuelva a instalar todo devuelta cuando haga "bundle install" pero me
> sigue apareciendo lo mismo :S
Ejecutá esto y hacenos un gist con la salida:

dpkg -l | grep imagemagick

dpkg -l | grep libmagick

Saludos.


El 18 de marzo de 2011 10:36, Daniel Mulé <danielm@beapp.net> escribió:

> Hice lo q me dijieron, pero sigo teniendo el mismo problema :S
>
> Osea, desinstale la gema y lo volvi a instalar, borre el GemFile.lock para
> q me vuelva a instalar todo devuelta cuando haga "bundle install" pero me
> sigue apareciendo lo mismo :S
>
>
> 2011/3/17 Gaston Ramos <ramos.gaston@gmail.com>
>
>> El Thu, 17 de Mar de 2011, a las 12:55:31PM -0300, Daniel Mulé dijo:
>> > Hola lista,
>> > Estoy teniendo un problema al querer usar ImageMagick, apenas lo
>> > empece usar, no tuve ningun problema, pero nose porque, me empezo a
>> > salir este mensage de error:
>> >
>> > This installation of RMagick was configured with ImageMagick 6.6.8 but
>> > ImageMagick 6.4.5 is in use.
>> >
>> > Actualice el imageMagick al 6.6.8,  pero sigo teniendo el mismo
>> > problema, alguna idea?
>>
>> Tenés que recompilar la gema de Rmagick para que tome los cambios.
>>
>> >
>> > Estoy usando Rails 3 en ubuntu!
>> >
>> > Saludos,
>> > Daniel.
>>
>> --
>> "Computer science education cannot make anybody an expert programmer any
>> more
>> than studying brushes and pigment can make somebody an expert painter."
>>
>> (Eric Raymond)
>>
>>
>> +-------------------------------------+
>> Gastón Ramos
>> http://gastonramos.com.ar/
>> GNU/Linux Counter user #450312
>>
>
>